> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xente.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of products items

> This endpoint get a list of products items under a product

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, error code if not.
</ResponseField>

<ResponseField name="data" type="object">
  The contents of the product

  <Expandable title="Toggle object">
    <ResponseField name="product_id" type="number">
      The unique id of the product
    </ResponseField>

    <ResponseField name="name" type="string">
      The name of the product
    </ResponseField>

    <ResponseField name="name" type="string">
      The image Url of the product
    </ResponseField>

    <ResponseField name="short_description" type="string">
      Short description of the product
    </ResponseField>

    <ResponseField name="long_description" type="string">
      Long description of the product
    </ResponseField>

    <ResponseField name="status" type="string">
      Status of the product
    </ResponseField>

    <ResponseField name="product_items" type="array">
      Product items of the product. Each item is an object with the following properties:

      * `item_id` (number): The unique ID of the item
      * `item_name` (string): The name of the item
      * `item_description` (string): Description of the item
      * `item_price` (number): Price of the item
      * `availability` (boolean): Availability status of the item
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Request theme={null}
  curl --location --request GET 'https://api.xente.co/products/{id}' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \

  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
      "message": "Product items retrieved successfully",
      "code": 0,
      "data": {
          "currentPage": 1,
          "pageSize": 2,
          "totalCount": 44,
          "totalPages": 22,
          "collection": [
              {
                  "productItemId": "AIRTELDATABUNDLESUG_24510766",
                  "name": "Weekly_150MB Phone",
                  "category": "DATA",
                  "amount": 2000.00,
                  "isAmountFixed": true,
                  "validityPeriod": "Weekly",
                  "type": "DATA",
                  "productId": "AIRTELDATABUNDLESUG",
                  "shortDescription": null,
                  "longDescription": null,
                  "productRegex": null,
                  "isActive": true,
                  "productItemCode": "24510766",
                  "sortOrder": 0
              },
              {
                  "productItemId": "AIRTELDATABUNDLESUG_24510767",
                  "name": "Weekly_7GB",
                  "category": "DATA",
                  "amount": 20000.00,
                  "isAmountFixed": true,
                  "validityPeriod": "Weekly",
                  "type": "DATA",
                  "productId": "AIRTELDATABUNDLESUG",
                  "shortDescription": null,
                  "longDescription": null,
                  "productRegex": null,
                  "isActive": true,
                  "productItemCode": "24510767",
                  "sortOrder": 0
              }
          ],
          "previousPage": false,
          "nextPage": true
      }
  }
  ```
</ResponseExample>
